﻿@model RailwayCashBox.Models.GenerateScheduleDetails

@{
    ViewBag.Title = "Создать расписание для периода";
    Layout = "~/Views/Shared/_Layout.cshtml";
}

@using (Html.BeginForm("GenerateScheduleDetailsForRoute", "TrainRoute", null, FormMethod.Post, new { @class = "form-horizontal", role = "form" }))
{
    @Html.AntiForgeryToken()
    @Html.ValidationSummary(true)

    @Html.HiddenFor(m => m.RouteId)

    <fieldset>
        <legend>@ViewBag.Title</legend>

        <div class="form-group">
            @Html.LabelFor(m => m.FromDate, new { @class = "col-md-4 control-label" })
            <div class="col-md-6">
                @Html.EditorFor(m => m.FromDate)
                @Html.ValidationMessageFor(model => model.FromDate)
            </div>
        </div>
        <div class="form-group">
            @Html.LabelFor(m => m.ToDate, new { @class = "col-md-4 control-label" })
            <div class="col-md-6">
                @Html.EditorFor(m => m.ToDate)
                @Html.ValidationMessageFor(model => model.ToDate)
            </div>
        </div>

        <div class="form-group">
            <div class="col-md-offset-4 col-md-6">
                <input type="submit" value="Создать..." class="btn btn-default" />
            </div>
        </div>
    </fieldset>
}

<div>
    @Html.ActionLink("Вернуться", "ShowSchedule", new { id = Model.RouteId })
</div>

